Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclDNSRequestAO Class Reference

`#include <oscl_dns_method.h>`

Inheritance diagram for OsclDNSRequestAO:

## Protected Methods
| OsclDNSRequestAO (const char *name)
void | ConstructL (OsclDNSI *aDNS, OsclDNSMethod *aMethod)
void | Abort ()
void | NewRequest ()
void | RequestDone ()
int | GetSocketError ()
OsclSocketServI * | Serv ()
void | DoCancel ()
void | Run ()
virtual void | Success ()
virtual void | Failure ()
virtual void | Cancelled ()
## Protected Attributes
OsclDNSI * | iDNSI
OsclDNSMethod * | iDNSMethod
int32 | iSocketError
PVLogger * | iLogger
## Friends
class | OsclDNSI
class | OsclDNSMethod
class | OsclDNSRequest
class | GetHostByNameParam

## Detailed Description

This is the base class for all requests to the socket server.

## Constructor & Destructor Documentation

OsclDNSRequestAO::OsclDNSRequestAO | ( | const char * | name | ) | `[inline, protected]`

## Member Function Documentation

void OsclDNSRequestAO::Abort | ( |  | ) | `[inline, protected]`

virtual void OsclDNSRequestAO::Cancelled | ( |  | ) | `[inline, protected, virtual]`

void OsclDNSRequestAO::ConstructL | ( | OsclDNSI * | aDNS,
|  | OsclDNSMethod * | aMethod
| ) | `[inline, protected]`

void OsclDNSRequestAO::DoCancel | ( |  | ) | `[protected, virtual]`

| Cancel request handler. This gets called by scheduler when the request is cancelled. The default routine will complete the request. If any additional action is needed, the derived class may override this. If the derived class does override DoCancel, it must complete the request. Reimplemented from OsclActiveObject.

virtual void OsclDNSRequestAO::Failure | ( |  | ) | `[inline, protected, virtual]`

int OsclDNSRequestAO::GetSocketError | ( |  | ) | `[protected]`

void OsclDNSRequestAO::NewRequest | ( |  | ) | `[protected]`

void OsclDNSRequestAO::RequestDone | ( |  | ) | `[protected]`

void OsclDNSRequestAO::Run | ( |  | ) | `[protected, virtual]`

| Handles an active object's request completion event. A derived class must provide an implementation to handle the completed request. If appropriate, it may issue another request. The function is called by the active scheduler when a request completion event occurs, i.e. after the active scheduler's WaitForAnyRequest() function completes. Before calling this active object's Run() function, the active scheduler has: 1. decided that this is the highest priority active object with a completed request 2. marked this active object's request as complete (i.e. the request is no longer outstanding) Run() runs under a trap harness in the active scheduler. If it leaves, then the active scheduler calls ExecError() to handle the leave. Note that once the active scheduler's Start() function has been called, all user code is run under one of the program's active object's Run() or RunError() functions. Implements PVActiveBase.

OsclSocketServI* OsclDNSRequestAO::Serv | ( |  | ) | `[protected]`

virtual void OsclDNSRequestAO::Success | ( |  | ) | `[inline, protected, virtual]`

## Friends And Related Function Documentation

friend class GetHostByNameParam`[friend]`

friend class OsclDNSI`[friend]`

friend class OsclDNSMethod`[friend]`

friend class OsclDNSRequest`[friend]`

## Field Documentation

OsclDNSI* OsclDNSRequestAO::iDNSI`[protected]`

OsclDNSMethod* OsclDNSRequestAO::iDNSMethod`[protected]`

PVLogger* OsclDNSRequestAO::iLogger`[protected]`

int32 OsclDNSRequestAO::iSocketError`[protected]`

The documentation for this class was generated from the following file:

- oscl_dns_method.h